Support of Red Hat Middleware products and components on Red Hat OpenShift

Updated -

Red Hat Middleware products are supported on Red Hat OpenShift 3.x and 4.x under the following terms.

Existing middleware life cycles apply to deployments in OpenShift. This article does not modify the life cycle phases and dates defined in the Product Update and Support Policy.

OpenShift 4.x Versions

Middleware products are tested on the latest minor version release and the 4.6 Extended Update Support (EUS) version release of OpenShift. On the versions of OpenShift between the latest minor version release and the 4.6 EUS version, middleware products are supported under commercial reasonable terms.

Refer to the exclusions section of this document for additional product specific details.

Support on OpenShift Kubernetes Engine

Red Hat Middleware products are supported on OpenShift Kubernetes Engine (OKE). OKE offers a subset of the features that OpenShift Container Platform offers, excluding features like Service Mesh, builds, Serverless, CI/CD pipelines, and more. The limited features of OKE constrain the availability and support of some features available from the Red Hat Middleware products on the OpenShift Container Platform (OCP). We recommend users deploy middleware applications on OCP for the best user experience.

Hardware Architectures

A number of products from the Red Hat Runtimes entitlement are available and supported in OpenShift 4 clusters on IBM Z. Those products are EAP 7.3, SSO 7.4, Data Grid 7.3, JWS 5, Open Liberty, Quarkus, Spring Boot, Node.js, Vert.x, and Thorntail.

OpenShift 3.x Versions

Middleware products are supported in OpenShift 3 in the 3.11 version only. Older versions of OpenShift 3.x are not supported.

Refer to the exclusions section of this document for additional product specific details.

Exclusions

Middleware Product Exclusion or Limitation
The Red Hat Data Grid operator not supported on OpenShift 3.11. Data Grid 8 is only installed via operator, and is not supported on OpenShift 3.x
The Red Hat JBoss EAP operator not supported on OpenShift 3.11
Red Hat JBoss EAP XP not supported on OpenShift 3.11
Red Hat JBoss Web Server 3.x not supported on OpenShift 4.x, supported on OpenShift 3.11 ONLY
The Core Services Collection not supported on OpenShift, with the exception of Red Hat Single Sign-On, which is included in the base OpenShift entitlement
Debezium not supported on OpenShift 3.x
Camel K not supported on OpenShift 3.x
Camel Kafka Connector not supported on OpenShift 3.x
Service Registry not supported on Openshift 3.x
Red Hat build of Node.js support policy is in effect for the duration of the application stream (~ 2 years for Node.js) on supported versions of OpenShift

Red Hat Middleware products covered by this policy

Middleware Products
Red Hat JBoss Enterprise Application Platform version 7
Red Hat JBoss Enterprise Application Platform expansion pack (JBoss EAP XP)
Red Hat JBoss Web Server 3 & 5
Red Hat Data Grid 7 & 8
Red Hat Single Sign-On 7
Red Hat build of Thorntail
Red Hat support of Spring Boot
Red Hat build of Vert.x
Red Hat build of Node.js
Red Hat build of Quarkus
Red Hat 3scale API Management
Red Hat Fuse
Service Registry
Red Hat AMQ
Red Hat AMQ Interconnect
Red Hat AMQ Streams
Debezium
Red Hat Process Automation Manager
Red Hat Decision Manager

Related Articles

For further information and policies about JBoss Middleware Containers, please see the following articles:

JBoss Middleware Container Support FAQ
How are JBoss Products supported when used in container images?
Support for Red Hat JBoss Middleware Containers
Support Guidelines for Red Hat Middleware Products Deployed in 3rd-party Environments


Comments